/*
Theme Name: Inspiro child theme
Description: Custom theme for Construction J.Adams
Theme URI: https://www.wpzoom.com/themes/inspiro/
Author: Alex Alex
Author URI: https://alexandra.work
Template: inspiro
Version: 2.1.12
*/

body {
    background: #253746;
}
body:not(.page-layout-sidebar-right) #primary {
    max-width: 100%;
 }

#primary h1.construction-site-title {
    font-size: var(--h1-size);
    line-height: 1.25;
    color: #cabfa5;
    margin: 0 0 10px 0;
    padding: 0;
}
#primary p.construction-site-description {
    font-size: var(--p-size);
    line-height: 1.4;
    color: #baac88;
    padding-top: var(--spacing-large);
}
#primary h1.construction-site-title, p.construction-site-description {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
}
#site-navigation h5 {
    font-family: 'Fragment Mono', monospace;
    font-size: var(--h5-size);
    font-weight: 400;
    line-height: 1.3;
    color: #5990a7;
    margin: 0;
}
.construction-header-navigation-wrapper h5 {
    white-space: pre;
}

.navbar, .has-header-image.inspiro-front-page .headroom--not-top .navbar {
	padding: 40px 0 20px;
}
#site-navigation {
    background-color: transparent;
    background-image: none;
    animation-delay: 0.25s;
}
.navbar .header-inner {
    min-width: 100%;
}
.custom-logo-link img, body.wp-custom-logo .headroom--not-top .custom-logo-link img {
	max-height: var(--custom-logo-size);
}
.navbar .header-navigation-wrapper, .navbar .header-widgets-wrapper, #scroll-to-content, footer, .cookieadmin-poweredby, .cookieadmin_modal_footer_links {
    display: none;
}

.intro {
    animation-duration: 0.65s;
    animation-name: intro-fade;
    animation-timing-function: ease-out;
    animation-fill-mode: backwards;
  }
  @keyframes intro-fade {
    0% { 
        opacity: 0;
        transform: translate(0,20px); 
    }
    100% { 
        opacity: 1;
        transform: translate(0,0); 
    }
  }
#cst-1 {
    animation-delay: 0.5s;
}
#cst-2 {
    animation-delay: 0.65s;
}
#csd-1 {
    animation-delay: 0.8s;
}

.site-content-contain {
    height: 100vh;
}
.construction-site-branding {
    text-align: left;
    position: absolute;
    left: 50%;
    top: 50%;
    width: 100%;
    transform: translate(-50%, -50%);
}
.inner-wrap, .construction-inner-wrap {
    padding: 0 7%;
    margin-left: 0;
    margin-right: 0;
}
p.site-description {
    max-width: 60vw;
    margin: 0;
}

.construction-header-media, .construction-custom-header {
    position: relative;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}
.construction-header-media .construction-custom-header img {
    height: 42vh;
    min-height: 42vh;
	top: unset;
    left: unset;
    bottom: 0;
    right: 0;
    position: absolute;
    max-width: 100%;
    width: auto;
    min-width: auto;
    object-fit: contain;
    object-position: bottom;
}
.custom-header {
    background-color: unset;
}

button.cookieadmin_re_consent {
	background-color: #34657f;
    height: 40px;
    width: 40px;
    box-shadow: 3px 4px 6px rgba(0, 0, 0, 0.1);
}
button.cookieadmin_btn, button.cookieadmin_btn:hover {
    border: none;
}
button.cookieadmin_btn {
    margin: 5px;
}
.cookieadmin_preference_title {
    line-height: 1.4;
}
.cookieadmin_act {
    color: #34657f;
}
.cookieadmin_mod_head {
    padding: 8px 15px;
    border-bottom: 1px solid #998542;
}
.cookieadmin_types, .cookieadmin_modal_footer {
    border-top: 1px solid #998542;
}
.cookieadmin_header span, label.stitle {
    display: inline-block;
}
span.cookieadmin_show_pref_cookies {
    position: relative;
    display: block;
    color: #d7d2cb;
    width: 25px;
    height: 25px;
    font-size: 15px;
    text-align: center;
}
span.cookieadmin_show_pref_cookies:before {
    content: "";
    width: 25px;
    height: 25px;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    background-color: #34657f;
    z-index: -1;
    border-radius: 4px;
}
.cookieadmin-modal-cookies-list {
    text-align: left;
    font-weight: 500;
    color: #254a5d;
}
.cookieadmin_slider {
    background-color: #8c7732;
}
input:checked+.cookieadmin_slider {
    background-color: #34657f;
}

.site-title:after {
	content: none;
}



@media (min-width: 2000px) {
    :root {
        --spacing-large: 67px;
        --h1-size: 70px;
        --h5-size: 16px;
        --p-size: 32px;
        --custom-logo-size: 70px;
    }
}

@media (min-width: 1600px) and (max-width: 1999px) {
    :root {
        --container-width: 1400px;
        --container-width-narrow: 1400px;
        --spacing-large: 45px;
        --h1-size: 53px;
        --h5-size: 13px;
        --p-size: 25px;
        --custom-logo-size: 55px;
    }
}
@media (min-width: 1200px) and (max-width: 1599px) {
    :root {
        --spacing-large: 34px;
        --h1-size: 42px;
        --h5-size: 12px;
        --p-size: 20px;
        --custom-logo-size: 45px;
    }
}
@media (max-width: 1199px) {
    :root {
        --spacing-large: 34px;
        --h1-size: 40px;
        --h5-size: 12px;
        --p-size: 22px;
    }
}
@media (max-width: 699px) {
    :root {
        --spacing-large: 30px;
        --h1-size: 30px;
        --p-size: 19px;
        --custom-logo-size: 42px;
    }
    .site-content-contain, .construction-header-media, .construction-custom-header {
    height: 100dvh;
    }
    #primary p.construction-site-description {
        max-width: 68vw;
    }
    .construction-header-navigation-wrapper {
        display: none;
    }
    .cookieadmin_center {
        top: 5%;
    }
    cookieadmin_modal_footer {
        padding: 10px 15px;
    }
    img.emoji {
        height: 1.5em !important;
        width: 1.5em !important;
        margin: 0.25em 0.07em !important;
    }
    .cookieadmin_preference_title {
        margin: 16px 9px 2px;
        line-height: 1.3;
    }
}